if data.raw["technology"]["gun-turret-damage-1"] then
	table.insert(data.raw["technology"]["gun-turret-damage-1"].effects, {type = "turret-attack", turret_id = "rocket-turret", modifier = 0.1})
end

if data.raw["technology"]["gun-turret-damage-2"] then
	table.insert(data.raw["technology"]["gun-turret-damage-2"].effects, {type = "turret-attack", turret_id = "rocket-turret", modifier = 0.1})
end

if data.raw["technology"]["gun-turret-damage-3"] then
	table.insert(data.raw["technology"]["gun-turret-damage-3"].effects, {type = "turret-attack", turret_id = "rocket-turret", modifier = 0.2})
end

if data.raw["technology"]["gun-turret-damage-4"] then
	table.insert(data.raw["technology"]["gun-turret-damage-4"].effects, {type = "turret-attack", turret_id = "rocket-turret", modifier = 0.2})
end

if data.raw["technology"]["gun-turret-damage-5"] then
	table.insert(data.raw["technology"]["gun-turret-damage-5"].effects, {type = "turret-attack", turret_id = "rocket-turret", modifier = 0.3})
end

if data.raw["technology"]["gun-turret-damage-6"] then
	table.insert(data.raw["technology"]["gun-turret-damage-6"].effects, {type = "turret-attack", turret_id = "rocket-turret", modifier = 0.3})
end

if data.raw["technology"]["gun-turret-damage-7"] then
	table.insert(data.raw["technology"]["gun-turret-damage-7"].effects, {type = "turret-attack", turret_id = "rocket-turret", modifier = 0.4})
end

data:extend(
{
	{
		type = "technology",
		name = "rocket-turrets",
		icon = "__rocket_turret__/graphics/technology/rocket-turret-tech.png",
		icon_size = 128,
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "rocket-turret"
			},
		},
		prerequisites =
		{
			"military-2",
			"turrets",
			"electronics",
			"advanced-electronics",
		},
		unit =
		{
			count = 120,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"military-science-pack", 1},
			},
			time = 30
		},
		order = "e-a-e"
	}
 }) 